Skip to main content
`Ctrl`+`K`

# NEPGetProblemType

Gets the problem type from the `NEP` object.

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPGetProblemType(NEP nep,NEPProblemType *type)

Not Collective

## Input Parameter

- nep - the nonlinear eigensolver context

## Output Parameter

- type - the problem type

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPSetProblemType()`, `NEPProblemType`

## Level

intermediate

## Location

src/nep/interface/nepopts.c

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages